Bug 1263957 - checksec failures for many ghc-* packages
Summary: checksec failures for many ghc-* packages
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-rpm-macros
Version: 24
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-17 07:54 UTC by Alexander Todorov
Modified: 2017-08-08 12:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 12:14:50 UTC


Attachments (Terms of Use)

Description Alexander Todorov 2015-09-17 07:54:24 UTC
Description of problem:

For many ELF objects in the ghc-* packages checkse reports Partial RELRO and No canary found. Best fix is to update the RPM macros and do a mass rebuild. For more info please see:


https://fedoraproject.org/wiki/Changes/Harden_All_Packages
http://atodorov.org/blog/2015/09/16/4000-bugs-in-fedora-checksec-failures/
https://lists.fedoraproject.org/pipermail/devel/2015-September/214679.html

Comment 1 Jan Kurik 2016-02-24 15:46:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Jens Petersen 2016-03-07 14:48:23 UTC
I will try to look into this later.

As I recall I had to remove some cflags since they were breaking ghc compiling.

Comment 3 Jens Petersen 2016-06-06 04:16:33 UTC
Basically I am disabling %_hardened_ldflags when building Fedora Haskell packages.

If I don't do that I run into for example when building hscolour:

:
Language/Haskell/HsColour.hs:94:55: Warning: Tab character
[ 1 of 16] Compiling Language.Haskell.HsColour.General ( Language/Haskell/HsColour/General.hs, dist/build/Language/Haskell/HsColour/General.p_o )
/usr/bin/ld: -r and -pie may not be used together
collect2: error: ld returned 1 exit status
error: Bad exit status from /var/tmp/rpm-tmp.FCoO08 (%build)

Any ideas how I can workaround this?

Comment 4 Fedora End Of Life 2017-07-25 19:17:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 12:14:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.